routes/admin.php
<?php

Route::get('/', 'HomeController@index')->name('dashboard');

Route::get('/department/data', 'DataController@departments')->name('department.data');

Route::get('/booking/data', 'DataController@booking')->name('booking.data');
Route::resource('booking', 'BookingController');
Route::post('booking/{id}', 'BookingController@confirm')->name('booking.confirm');
Route::get('/print/bookings','BookingController@printAllBooking')->name('booking.printall');

Route::get('/private-office-request/data', 'DataController@privateOfficeRequest')->name('private-office-request.data');
Route::resource('private-office-request', 'PrivateOfficeRequestController');

Route::get('/category/data', 'DataController@category')->name('category.data');
Route::get('/category/dataTrashed', 'DataController@categoryTrashed')->name('category.dataTrashed');
Route::resource('category', 'CategoryController');
Route::get('category-trashed', 'CategoryController@indexTrashed')->name('category.trashed');
Route::get('category-trashed-restore/{id}', 'CategoryController@restore')->name('category.restore');


Route::get('/plan/data', 'DataController@plan')->name('plan.data');
Route::get('/plan/dataTrashed', 'DataController@planTrashed')->name('plan.dataTrashed');
Route::get('/myplan/data', 'DataController@myplan')->name('myplan.data');
Route::resource('plan', 'PlanController');
Route::get('plan-trashed', 'PlanController@indexTrashed')->name('plan.trashed');
Route::get('plan-trashed-restore/{id}', 'PlanController@restore')->name('plan.restore');

Route::get('/payment/data', 'DataController@payment')->name('payment.data');

Route::get('/user/data', 'DataController@users')->name('user.data');
Route::resource('user', 'UserController');
Route::get('/useremployee', 'UserController@indexEmployee')->name('user.employee');
Route::get('/print/invoice/{id}','BookingController@printInvoiceAdmin')->name('booking.invoice');

routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
});

Route::get('/search-coworking',  'User\BookingController@searchSchedule');

Route::post('/private-office-message',  'User\BookingController@submitPrivateOffice')->name('private-office-message');

Route::middleware('web', 'auth')->group(function () {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('user-dashboard');

    Route::get('/myplans', function () {
        return view('user.myplan.index');
    })->name('user-myplan');

    Route::get('/myplans/e-voucher/{id}','User\BookingController@evoucher')->name('user-myplan-evoucher');
    Route::get('/print/e-voucher/{id}','User\BookingController@printEvoucher')->name('user-print-evoucher');

    Route::get('/payments', function () {
        return view('user.payments.index');
    })->name('user-payment');

    Route::get('/payments/invoice/{id}','User\PaymentController@invoice')->name('user-payment-invoice');
    Route::get('/print/invoice/{id}','User\PaymentController@printInvoice')->name('user-print-invoice');

    Route::post('/pay', 'User\PaymentController@payFromPaymentList')->name('user-pay');
    Route::post('/upload-payment-proof', 'User\PaymentController@uploadPaymentProof')->name('user-upload-payment-proof');

    Route::get('/services', 'User\BookingController@service')->name('user-services');

});

Route::get('/basket', function(){
    // check auth
    if(!Auth::check()){
        return redirect()->intended('login');
    }
    
    return redirect()->route('user-services');
})->name('user-basket');

Route::post('/basket', 'User\BookingController@basket')->name('user-basket');

Route::get('/proceedpayment', function(){
    // check auth
    if(!Auth::check()){
        return redirect()->intended('login');
    }
    
    return redirect()->route('user-services');
})->name('user-proceedpayment');

Route::post('/proceedpayment', 'User\BookingController@proceedPayment')->name('user-proceedpayment');





Auth::routes(['verify' => true]);

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Spatie\Permission\Traits\HasRoles;
use Spatie\Permission\PermissionRegistrar;


class User extends Authenticatable
{
    use Notifiable, HasRoles, SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function employee()
    {
        return $this->hasOne(Employees::class);
    }

    protected $guard_name = 'web';

    protected $date = ['deleted_at'];

}

app/Http/Controllers/Admin/UserController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rule;

class UserController extends Controller
{

    public function __construct()
    {
        // $this->middleware("permission:create user")->only(["create", "store"]);
        // $this->middleware("permission:read user")->only(["index"]);
        // $this->middleware("permission:update user")->only(["edit", "update"]);
        // $this->middleware("permission:delete user")->only(["destroy"]);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('admin.user.index', [
            'title' => 'User | Techpolitan',
            "type" => "admin"
        ]);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function indexEmployee()
    {
        return view('admin.user.index', [
            'title' => 'User | Techpolitan',
            "type" => "user"
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $type = request("type");
        return view('admin.user.create', [
            'title' => 'User | Techpolitan',
            "role_id" => $type == "admin" ? 1 : 2
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            "name" => "required|min:3|max:15",
            "email" => ['required', Rule::unique('users')],
            "password" => "min:6|required",
            "confirm_password" => "min:6|required_with:password|same:password",
            "role_id" => "required|numeric"
        ]);

        $user = User::create([
            'name' => $request->name,
            'email' => $request->email,
            'password' => Hash::make($request->password),
            'email_verified_at' => now(),
            'role_id' => $request->role_id
        ]);

        $user->assignRole($request->role_id == 1 ? 'administrator' : 'customer');

        if($request->role_id == 1) {
            return redirect()->route('admin.user.index')->with('success', 'Data berhasil ditambahkan');
        } else {
            return redirect()->route('admin.user.employee')->with('success', 'Data berhasil ditambahkan');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $user = User::Find($id);

        return view('admin.user.edit', [
            'title' => 'Edit User | Techpolitan',
            "user" => $user
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            "name" => "required|min:3|max:15",
            "email" => ['required', Rule::unique('users')->ignore($id)],
            "password" => "min:6|required_with:confirm_password|same:confirm_password",
            "confirm_password" => "min:6"
        ]);

        User::Find($id)->update([
            'name' => $request->name,
            'email' => $request->email,
            'password' => Hash::make($request->password),
            'email_verified_at' => now()
        ]);

        if($request->role_id == 1) {
            return redirect()->route('admin.user.index')->with('success', 'Data berhasil diubah');
        } else {
            return redirect()->route('admin.user.employee')->with('success', 'Data berhasil diubah');
        }

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id, Request $r)
    {
        User::Find($id)->delete();

        if($r->post('type') == "admin") {
            return redirect()->route("admin.user.index")->with("success", "Berhasil Menghapus User");
        } else {
            return redirect()->route("admin.user.employee")->with("success", "Berhasil Menghapus User");
        }

    }
}

app/Http/Controllers/User/BookingController.php
<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Booking;
use App\Models\PrivateOfficeRequest;
use App\Models\User;
use App\Models\Plan;
use Auth;
use Carbon\Carbon;
use Error;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Spatie\Permission\Models\Role;

class BookingController extends Controller
{

    public function searchSchedule(Request $r)
    {
        // from get request
        $date = $r->get('date');
        $pax = $r->get('pax');

        $date = Carbon::parse($date)->format('Y-m-d');

        $schedule = Booking::listAvailableScheduleDaily($date, $pax);

        // return $schedule;

        return view('searchresult', [
            'title' => 'Search Schedule | Techpolitan',
            'schedules' => $schedule,
            'date' => $date,
            'pax' => $pax
        ]);
    }

    public function service(Request $r)
    {
        // from get request
        $date = $r->get('date');
        $pax = $r->get('pax');

        $date = Carbon::parse($date)->format('Y-m-d');

        $schedule = Booking::listAvailableScheduleDaily($date, $pax);

        // return $schedule;

        return view('user.services.index', [
            'title' => 'Search Services | Techpolitan',
            'schedules' => $schedule,
            'date' => $date,
            'pax' => $pax
        ]);
    }

    public function basket(Request $r)
    {


        // check auth
        if (!Auth::check()) {
            return redirect()->intended('login');
        }

        $date = $r->post('date');
        $pax = $r->post('qty');
        $plan_id = $r->post('plan_id');

        $plan = Plan::find($plan_id);
        $date = Carbon::parse($date)->format('Y-m-d');

        $price =  $plan->getRawOriginal('price');


        $subtotal = $price *  $pax;
        $tax = $subtotal * 0.1;
        $total = $subtotal + $tax;

        $schedule = [
            'date' => $date,
            'pax' => $pax,
            'plan' => $plan,
            'subtotal' => number_format($subtotal, 2, ',', '.'),
            'tax' => number_format($tax, 2, ',', '.'),
            'total' => number_format($total, 2, ',', '.'),
        ];


        return view('user.payments.basket', [
            'title' => 'Basket | Techpolitan',
            'schedule' => $schedule
        ]);
    }

    function proceedPayment(Request $r)
    {
        // check auth
        if (!Auth::check()) {
            return redirect()->intended('login');
        }

        $date = $r->post('date');
        $date = Carbon::parse($date)->format('Y-m-d');

        $pax = $r->post('qty');
        $plan_id = $r->post('plan_id');
        $plan = Plan::find($plan_id);

        $price =  $plan->getRawOriginal('price');


        $subtotal = $price * $pax;
        $tax = $subtotal * 0.1;
        $total = $subtotal + $tax;

        $booking = new Booking();
        $booking->user_id = Auth::user()->id;
        $booking->plan_id = $plan_id;
        $booking->date = $date;
        $booking->pax = $pax;
        $booking->price = $total;
        $booking->status = 'unpaid';
        // generate invoice number from datetime
        $booking->invoice_no = 'INV-' . Carbon::now()->format('YmdHis') ;
        $booking->save();

        return view('user.payments.payment', [
            'booking' => $booking,
            'title' => 'Payment | Techpolitan',
            'plan' => $plan,
        ]);

    }

    public function evoucher($id){
        $user = Auth::user();
        $booking = Booking::where('user_id', $user->id)->find($id);

        return view('user.payments.evoucher', [
            'title' => 'E-Voucher | Techpolitan',
            'booking' => $booking,
        ]);
    }

    public function printEvoucher($id){
        if (!Auth::check()) {
            return redirect()->intended('login');
        }
        $user = Auth::user();
        $booking = Booking::where('user_id', $user->id)->find($id);

        if($booking->getRawOriginal('status') != 'paid'){
            return redirect('myplans');
        }
        return view('user.payments.printevoucher', [
            'title' => 'E-Voucher | Techpolitan',
            'booking' => $booking,
        ]);
        
    }

    public function submitPrivateOffice(Request $r){

        $privsateOffice = PrivateOfficeRequest::create($r->all());

        session()->flash('message', 'Post successfully updated.');

        return redirect('/');
    }
    
}

app/Http/Controllers/User/PaymentController.php
<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Booking;
use App\Models\User;
use App\Models\Plan;
use App\Models\Payment;
use Auth;
use Carbon\Carbon;
use Error;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Spatie\Permission\Models\Role;

class PaymentController extends Controller
{

    public function payFromPaymentList(Request $r){

        $user = Auth::user();

        $booking = Booking::where('user_id', $user->id)->find($r->post('id'));


        $plan = Plan::withTrashed()->find($booking->plan_id);

        
        return view('user.payments.payment', [
            'title' => 'Payment | Techpolitan',
           'booking' => $booking,
            'user' => $user,
            'plan' => $plan
        ]);
    }
    

    public function uploadPaymentProof(Request $r){

        request()->validate([
            'payment-proof'  => 'required|mimes:pdf,jpg,jpeg,png|max:2048',
          ]);

        $user = Auth::user();

        if($r->hasFile('payment-proof')){
            $file = $r->file('payment-proof');
            $fileName = $file->getClientOriginalName();
            $file->move(public_path('/uploads/payment-proof/'.$r->post('booking_id')."/"), $fileName);

            $booking = Booking::where('user_id', $user->id)->find($r->post('booking_id'));

            // look for exist payment
            $payment = Payment::where('booking_id', $booking->id)->first();
            if($payment){
                $payment->proof = $r->post('booking_id')."/".$fileName;
                $payment->status = "waiting for confirmation";
                $payment->save();

            }else{
                $payment = new Payment;
                $payment->booking_id = $booking->id;
                $payment->user_id = $user->id;
                $payment->payment_method= "Bank Transfer";
                $payment->proof =$r->post('booking_id')."/".$fileName;
                $payment->amount = $booking->getRawOriginal('price');
                $payment->date = Carbon::now()->format('Y-m-d');
                $payment->status = "waiting for confirmation";
                $payment->save();
            }
        }

        return \response()->json([
            'status' => 'success',
            'message' => 'Payment proof uploaded successfully',
        ]);
    }

    public function invoice($id){
        $user = Auth::user();
        $booking = Booking::where('user_id', $user->id)->find($id);

        return view('user.payments.invoice', [
            'title' => 'E-Voucher | Techpolitan',
            'booking' => $booking,
        ]);
    }

    public function printInvoice($id){
        if (!Auth::check()) {
            return redirect()->intended('login');
        }
        $user = Auth::user();
        $booking = Booking::where('user_id', $user->id)->find($id);

        return view('user.payments.printinvoice', [
            'title' => 'E-Voucher | Techpolitan',
            'booking' => $booking,
        ]);
        
    }

}

resources/views/admin/user/action.blade.php
<a href="{{ route('admin.user.edit', $model) }}" class="btn btn-warning"><i class="fa fa-pencil"></i></a>

@if($model->id != Auth::user()->id)

<button href="{{ route('admin.user.destroy', $model) }}" class="btn btn-danger" id="delete"><i class="fa fa-trash"></i></button>
@endif
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
<script>
    $('button#delete').on('click', function(e){
        e.preventDefault();

        var href = $(this).attr('href');

        Swal.fire({
        title: 'Apakah Yakin Hapus Data?',
        text: "Data yang sudah dihapus tidak bisa dikembalikan !",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Hapus'
        }).then((result) => {
        if (result.value) {

            document.getElementById('deleteForm').action = href;
            document.getElementById('deleteForm').submit();

            Swal.fire(
            'Terhapus',
            'Data kamu berhasil dihapus',
            'success'
            )
        }
    })

    })
</script>

resources/views/admin/user/create.blade.php
@extends('admin.template.default')

@section('content')

<section class="content-header">
    <h1>
      User {{ $role_id == 1 ? "Admin" : "Customer" }} <small>Tambah Data</small>
    </h1>
    <ol class="breadcrumb">
    <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="{{ route('admin.user.index') }}"></i> User</a></li>
      <li class="active">Tambah Data User</li>
    </ol>
  </section>

<section class="content">
    <div class="row">
        <div class="col-md-12">
            <!-- Horizontal Form -->
            <div class="box box-info">
            <div class="box-header with-border">
                <h3 class="box-title">Tambah Data User</h3>
            </div>
            <!-- /.box-header -->
            <!-- form start -->

            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <form class="form-horizontal" action="{{ route('admin.user.store')}}" method="POST">
                @csrf
                <input type="hidden" value="{{$role_id}}" name="role_id" />
                <div class="box-body">
                    <div class="form-group @error('name') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Nama User</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" name="name" placeholder="Masukan Nama User" value="{{ old('name') }}">
                            @error('name')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="box-body">
                    <div class="form-group @error('email') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Email</label>

                        <div class="col-sm-10">
                            <input type="email" class="form-control" name="email" placeholder="Masukan Email" value="{{ old('email') }}">
                            @error('email')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="box-body">
                    <div class="form-group @error('password') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Password</label>

                        <div class="col-sm-10">
                            <input type="password" class="form-control" name="password" placeholder="Masukan Password" value="{{ old('password') }}" />
                            @error('password')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="box-body">
                    <div class="form-group @error('confirm_password') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Konfirmasi Password</label>

                        <div class="col-sm-10">
                            <input type="password" class="form-control" name="confirm_password" placeholder="Masukan Konfirmasi Password" />
                            @error('confirm_password')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- /.box-body -->
                <div class="box-footer">
                <button type="submit" class="btn btn-info">Tambah Data</button>
                </div>
                <!-- /.box-footer -->
            </form>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
@endsection

resources/views/admin/user/edit.blade.php
@extends('admin.template.default')

@section('content')

<section class="content-header">
    <h1>
      User <small>Update Data</small>
    </h1>
    <ol class="breadcrumb">
    <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="{{ route('admin.user.index') }}"></i> User</a></li>
      <li class="active">Update Data User</li>
    </ol>
  </section>

<section class="content">
    <div class="row">
        <div class="col-md-12">
            <!-- Horizontal Form -->
            <div class="box box-info">
            <div class="box-header with-border">
                <h3 class="box-title">Update Data User</h3>
            </div>
            <!-- /.box-header -->
            <!-- form start -->

            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <form class="form-horizontal" action="{{ route('admin.user.update', $user)}}" method="POST">
                @csrf
                @method("PUT")
                <input type="hidden" value="{{$user->roles[0]->id}}" name="role_id" />
                <div class="box-body">
                    <div class="form-group @error('name') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Nama User</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" name="name" placeholder="Masukan Nama User" value="{{ old('name') ?? $user->name }}">
                            @error('name')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="box-body">
                    <div class="form-group @error('email') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Email</label>

                        <div class="col-sm-10">
                            <input type="email" class="form-control" name="email" placeholder="Masukan Email" value="{{ old('email') ?? $user->email }}">
                            @error('email')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="box-body">
                    <div class="form-group @error('password') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Password</label>

                        <div class="col-sm-10">
                            <input type="password" class="form-control" name="password" placeholder="Masukan Password" value="{{ old('password') }}">
                            @error('password')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="box-body">
                    <div class="form-group @error('confirm_password') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Konfirmasi Password</label>

                        <div class="col-sm-10">
                            <input type="password" class="form-control" name="confirm_password" placeholder="Masukan Konfirmasi Password" value="{{ old('confirm_password') }}">
                            @error('confirm_password')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- /.box-body -->
                <div class="box-footer">
                <button type="submit" class="btn btn-info">Update Data</button>
                </div>
                <!-- /.box-footer -->
            </form>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
@endsection

resources/views/admin/user/index.blade.php
@extends('admin.template.default')

@section('content')

<section class="content-header">
  <h1>
    User {{ ucfirst($type) }}
  </h1>
  <ol class="breadcrumb">
  <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active">User</li>
  </ol>
</section>

<section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Data User</h3>

            <div style="float: right!important">
              <a href="{{ route('admin.user.create', ["type" => $type]) }}" class="btn btn-primary btn-sm">+ Tambah Data User</a>
            </div>

          </div>
          <!-- /.box-header -->
          <div class="box-body">
            <table id="dataTable" class="table table-bordered table-hover">
              <thead>
              <tr>
                <th>NO</th>
                <th>Nama</th>
                <th>Email</th>
                <th>Action</th>
              </tr>
              </thead>

              <tbody>

              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
</section>

@endsection

<form action="" method="post" id="deleteForm">
  @csrf
  @method("DELETE")
  <input type="hidden" name="type" value="{{ $type }}">
  <input type="submit" value="Hapus" style="display: none">
</form>

@push('script')

    <script src="{{ asset('admin/plugins/bs-notify.min.js') }}"></script>

    @include('admin.template.partials.alert')

    <script>
        $(function() {
          $('#dataTable').DataTable({
            processing: true,
            serverSide: true,
            ajax: '{{ route('admin.user.data', ["type" => $type]) }}',
            columns: [
              { data: 'DT_RowIndex', orderable: false, searchable: false },
              { data: 'name' },
              { data: 'email' },
              { data: 'action' }
            ]
          })
        })
    </script>

@endpush